﻿<AML>
 <Item type="Method" id="B328F51F4BFA4753BC410BCAD724ABFC" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_allocation_balance
Created By		:		SolidCAD 
Creation Date:		    2018-01-23
Description:
	Calculate Left Allocation Amount and set left allocation amount.
	
Hooks:
    
    Type:	ItemType    : pop_purchase_allocation
    Event:	acc_amount ( OnEditFinish )
    
    Type:	ItemType    : sop_sale_allocation
    Event:	acc_amount ( OnEditFinish )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var sub_total = 0;
var home_sub_total = 0;
var home_acc_amount = 0;

var thisItem = parent.thisItem;

var acc_allocation_total = thisItem.getProperty("acc_allocation_total");
var pop_total_amount = thisItem.getProperty("pop_sub_amount");

var f_acc_allocation_total = parseFloat(acc_allocation_total);
var f_pop_total_amount = parseFloat(pop_total_amount);


if (isNaN(f_acc_allocation_total)) {
    f_acc_allocation_total = 0;
}
if (isNaN(f_pop_total_amount)) {
    f_pop_total_amount = 0;
}

if (f_pop_total_amount >= 0) {

    var balance = f_pop_total_amount - f_acc_allocation_total;
    var count = gridApplet.getRowCount();
    var relationshipID = gridApplet.getRowId(count - count);
    var relitm = thisItem.getItemsByXPath("//Item[@id = '" + relationshipID + "']").getItemByIndex(0);
    if (balance > 0) {
        var acc_balance_D = gridApplet.GetColumnIndex("acc_balance_D");
        gridApplet.SetCellValue(relationshipID, acc_balance_D, balance.toString());
        relitm.setProperty("acc_balance", balance.toString());
    } else {
        var acc_balance_D = gridApplet.GetColumnIndex("acc_balance_D");
        gridApplet.SetCellValue(relationshipID, acc_balance_D, "");
        relitm.setProperty("acc_balance", "");
    }

}
function myHandleItemChange(property, value) {
    if (top.instance.document) {
        top.instance.handleItemChange(property, value);
    } else {
        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_allocation_balance</name>
 </Item>
</AML>